#include <string.h>
#include "Simil.h"

//*****************************************
// preliminary check....
//*****************************************
float
strings_check (char const *s, char const *t)
{
	float threshold;	// lenght difference 
	int s_len = strlen (s);	// length of s
	int t_len = strlen (t);	// length of t

	// NULL strings ?
	if ((t_len * s_len) == 0)
		return (DONTCOMPARE_NULL);

	// the same ?
	if (strcasecmp (s, t) == 0)
		return (DONTCOMPARE_SAME);

	// string lenght difference threshold
	// we don't want to compare too different lenght strings ;)
	if (s_len < t_len)
		threshold = (float) s_len / (float) t_len;
	else
		threshold = (float) t_len / (float) s_len;
	if (threshold < STRING_MAXLENDIFFER)
		return (DONTCOMPARE_NULL);

	// proceed
	return (COMPARE);
}
